## openmpi 2.0.2

=== debian/changelog ===
openmpi (2.0.2-2) unstable; urgency=medium

  * Move to unstable. Closes: #8487574

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Feb 2017 05:43:32 +0000

openmpi (2.0.2-1) experimental; urgency=medium

  * New upstream release
    - opal_fifo.patch obsoleted
    - reproducible.patch merged upstream
    - libpmix no longer built
  * Fix some manpage macros that break whatis.
  * Disable rpath generation by mpi wrappers.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Feb 2017 08:44:44 +0000

openmpi (2.0.2~git.20161225-9) unstable; urgency=medium

  * Fix incorrect SONAME version in symlink. Closes: #847805

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jan 2017 11:08:14 +0000

openmpi (2.0.2~git.20161225-8) unstable; urgency=medium

  * Multiarch support. Closes: #833728, #842881.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Dec 2016 14:17:24 +0000

openmpi (2.0.2~git.20161225-7) unstable; urgency=medium

  [ Thibaut Jean-Claude Paumard ]
  * Fix opal_fifo test. Closes: #848218.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2016 13:52:51 +0000

openmpi (2.0.2~git.20161225-6) unstable; urgency=medium

  * More hurd fixes: man pages for oshrun need to be conditional.
    Closes: #846965.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Dec 2016 07:10:17 +0000

openmpi (2.0.2~git.20161225-5) unstable; urgency=medium

  * Updated build_hurd patch, Samuel Thibault. Closes: #846965
  * Ack. prevously fixed bug. Closes: #847806

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Dec 2016 11:38:15 +0000

openmpi (2.0.2~git.20161225-4) unstable; urgency=medium

  * Fix manpages

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Dec 2016 14:58:34 +0000

openmpi (2.0.2~git.20161225-3) experimental; urgency=medium

  * Fix conditional inclusion and linking of liboshmem.so and
    libmca_common_ompio.so. Closes: #838623.
  * Mark openmpi-doc as Multi-Arch: foreign
  * Mark as fixed in previous release: Closes: #845594. #846635
  * Invert NO_TEST condition as broken for hppa, i386 in debian/rules
  * Forward patches upstream and update comments in patch:
   - arm_detection.patch
   - x32.patch
   - link_libfabric.patch
  * Remove obsolete (unapplied) patches from debian/patches/*
  * Updates to build_hurd patch from Samuel Thibault Closes: #846965

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Dec 2016 10:34:42 +0000

openmpi (2.0.2~git.20161225-2) experimental; urgency=medium

  * Add B-D for flex.
  * Don't use external libevent in experimental; not threaded

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2016 08:23:29 +0000

openmpi (2.0.2~git.20161225-1) experimental; urgency=medium

  * Test build of upstream snapshot for #845594
    - ship libpmix and plugins
    - orte-submit no longer included

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 15:52:04 +0000

openmpi (2.0.1-8) experimental; urgency=medium

  * Disable java on hurd-i386. Closes: #842746.
  * Test building with psm support on amd64, intel

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 09:16:55 +0000

openmpi (2.0.1-7) unstable; urgency=medium

  * Link libfabric. Closes: #841643

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Oct 2016 19:01:25 +0100

openmpi (2.0.1-6) experimental; urgency=medium

  * Enable BTL unit tests
  * Build against external libevent (>= 2.1 in experimental)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Sep 2016 05:40:27 +0100

openmpi (2.0.1-5) unstable; urgency=medium

  * Fix for wait that breaks mpi4py. Closes: #837536.
  * Incorrect SONAME links. Patch thanks to Andread Beckmann.
    Closes: #837525
  * Build with java bindings on mipsel, but not hppa. Closes: #837446

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2016 07:54:45 +0100

openmpi (2.0.1-4) unstable; urgency=medium

  * Fixes for build_hurd. Also, don't run tests on hurd
  * Remove buggy ${pkgincludedir} references from pkgconfig files.
    Closes: #837062.
  * Add Breaks/Replaces for libopenmpi1.6 to -dev. Closes: #837392

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Sep 2016 11:32:28 +0100

openmpi (2.0.1-3) unstable; urgency=medium

  * libopen-pal.so link broken due to typo.
  * Re-enable rest of hurd patch (non hostnamelen parts)
  * commit missed: Don't run tests on slow hppa

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Sep 2016 10:58:45 +0100

openmpi (2.0.1-2) experimental; urgency=medium

  * Fix for powerpc/--enable-mpi-cxx FTBFS.
  * Don't run tests on slow hppa

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2016 15:33:00 +0100

openmpi (2.0.1-1) experimental; urgency=medium

  * New upstream release 
    - soversion patch now merged upstream.
    - build_hurd patch obsoleted/merged upstream.
    - arm patches now merged upstream
    - update soversion minor numbers
  * Ship libmpi_java shared library
  * regression: oshmem ships on Linux only; make conditional in rules
  * Make java conditional; not on mipsel (segfaults there, fails on hppa)
  * Adapt arm64 atomics patch for  new ifdefs.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Sep 2016 16:35:04 +0100

openmpi (2.0.0-6) experimental; urgency=medium

  * Fix --with-fabric; regression

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2016 05:36:34 +0100

openmpi (2.0.0-5) experimental; urgency=medium

  * More ompi -> opal_ changes ;  need testing
  * --verbs conditional support was also inverted
  * conditional syntax: --with-jdk-dir, not --with-jdk
  * --enable-builtin-atomics : test against mips, powerpc lockups

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2016 09:24:53 +0100

openmpi (2.0.0-4) experimental; urgency=medium

  * Test versioning patch
  * Change OMPI_ -> OPAL_ names in patches for opal/ directory; 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Aug 2016 02:46:59 +0100

openmpi (2.0.0-3) experimental; urgency=medium



=== debian/control ===
Source: openmpi
Section: net
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>,
 Manuel Prinz <manuel@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), 
 automake, autoconf (>= 2.59),  libtool, libltdl-dev, autotools-dev,
 gfortran, gcc (>= 4:5.2.1), chrpath, 
 libhwloc-dev,
 pkg-config,
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libfabric-dev [amd64 i386],
 libpsm-infinipath1-dev [amd64 i386],
 libcr-dev [amd64 armel armhf i386 powerpc], 
 libnuma-dev [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc ppc64el],
 default-jdk,
 flex
Build-Conflicts: libmpich-dev, libopenmpi-dev
Standards-Version: 3.9.8
Homepage: http://www.open-mpi.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-openmpi/openmpi/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-openmpi/openmpi/trunk/

Package: openmpi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (= ${source:Version})
Conflicts: openmpi-bin
Suggests: gfortran
Description: high performance message passing library -- binaries
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 Features:
  * Full MPI-3.1 standards conformance
  * Thread safety and concurrency
  * Dynamic process spawning
  * High performance on all platforms
  * Reliable and fast job management
  * Network and process fault tolerance
  * Support network heterogeneity
  * Single library supports all networks
  * Run-time instrumentation
  * Many job schedulers supported
  * Internationalized error messages
  * Component-based design, documented APIs
 .
 This package contains the Open MPI utility programs.

Package: libopenmpi-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmpi2 (= ${binary:Version}), openmpi-common (= ${source:Version}), 
 libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev
Conflicts: openmpi-dev, libopenmpi-dev, openmpi-bin (<= 1.2.4-0), libopenmpi2 (<= 2.0.0-1)
Breaks: libopenmpi2 (<= 2.0.0-1), libopenmpi1.10 (>= 1.10.2-1), libopenmpi1.6 (>= 1.6-1)
Replaces: libopenmpi2 (<= 2.0.0-1), libopenmpi1.10 (>= 1.10.2-1), libopenmpi1.6 (>= 1.6-1)
Suggests: openmpi-doc
Description: high performance message passing library -- header files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the header files and compiler wrappers which are needed
 to compile and link programs against libopenmpi.

Package: libopenmpi2
Section: libs
Architecture: any
Recommends: openmpi-bin
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Conflicts: libopenmpi1.6, libopenmpi1.10
Breaks: libopenmpi1.10 (>= 1.10.2-1)
Replaces: libopenmpi1.10 (>= 1.10.2-1)
Description: high performance message passing library -- shared library
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains the Open MPI shared libraries.

Package: openmpi-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openmpi-common
Description: high performance message passing library -- common files
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains platform independent files for Open MPI.

Package: openmpi-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: mpi-doc, lam-mpidoc, lam4-dev, openmpi-mpidoc, openmpi-doc
Replaces: openmpi-checkpoint (<< 1.10.2)
Breaks: openmpi-checkpoint (<< 1.10.2)
Description: high performance message passing library -- man pages
 Open MPI is a project combining technologies and resources from several other
 projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
 MPI library available. A completely new MPI-3.1 compliant implementation, Open
 MPI offers advantages for system and software vendors, application developers
 and computer science researchers.
 .
 This package contains man pages describing the Message Passing Interface
 standard.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEBIAN_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\-.*\)/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libopenmpi2.links libopenmpi-dev.links libopenmpi-dev.postinst libopenmpi-dev.prerm

### Arch-specific stuff
# No ibverbs support available on kFreeBSD, Hurd
NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
FABRIC_ARCH:= amd64 i386 
PSM_ARCH:= amd64 i386
NO_JAVA_ARCH:= hppa hurd-i386
NO_TEST_ARCH:= hppa hurd-i386

ifeq (sparc,$(DEB_HOST_GNU_CPU))
	CFLAGS += -mcpu=v9
endif

# Note the space, to stop 'amd64' matching 'kfreebsd-amd64'
ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
	VERBS := --with-verbs
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(FABRIC_ARCH)))
	FABRIC := --with-libfabric
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(PSM_ARCH)))
	PSM:= --with-psm
endif
ifeq ($(filter $(NO_JAVA_ARCH),$(DEB_HOST_ARCH)),)
	JAVA := --with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java
endif
ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_TEST_ARCH)))
	DO_TEST := false
	BTL_TESTS := 
else
	DO_TEST := true
	BTL_TESTS:= --enable-opal-btl-usnic-unit-tests
endif

# Flags for the static build: see bug #502232
#STATIC_CONFIG_PARAMS = --enable-static
STATIC_CONFIG_PARAMS =  


%:
	dh $@ --parallel #--with autotools_dev

override_dh_auto_clean:
	dh_clean
	find . -name .libs -exec rm -rf {} \; || true
	find . -name .dirstamp -delete
	find . -type l -delete
	find . -name '*.o' -delete
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})

override_dh_auto_configure:
	./autogen.pl --force
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	dh_auto_configure -- \
		$(VERBS) $(FABRIC) $(PSM) \
		$(JAVA) \
		$(STATIC_CONFIG_PARAMS) \
		$(BTL_TESTS) \
		--disable-wrapper-rpath \
		--enable-mpi-thread-multiple \
		--disable-silent-rules \
		--enable-mpi-cxx \
		--with-hwloc=/usr/ \
		--with-libltdl=/usr/ \
		--with-devel-headers \
		--with-slurm \
		--with-sge \
		--without-tm \
		--enable-heterogeneous \
		--disable-vt \
		--sysconfdir=/etc/openmpi 		\
		--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/lib	\
		--includedir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/openmpi/include 

override_dh_install:
	# Strip rpath info from all executables and libraries.
	find debian/tmp/ -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \;
# Rename the compiler and startup wrappers.
	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f debian/tmp/usr/bin/$${f}; then \
			mv debian/tmp/usr/bin/$${f} debian/tmp/usr/bin/$${f}.openmpi ; \
		fi; \
	done
# Rename the compiler wrapper man pages.
	for f in mpic++ mpicc mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
		if test -f debian/tmp/usr/share/man/man1/$${f}.1; then \
			mv debian/tmp/usr/share/man/man1/$${f}.1 debian/tmp/usr/share/man/man1/$${f}.openmpi.1 ; \
		fi; \
		if test -f debian/tmp/usr/share/man/man1/$${f}.3; then \
			mv debian/tmp/usr/share/man/man3/$${f}.3 debian/tmp/usr/share/man/man1/$${f}.openmpi.3 ; \
		fi; \
	done
	cd debian/tmp/usr/share/man/man3; \
	for f in *.3; do \
		mv $$f $$(echo $$f|sed -e "s|\.3|.openmpi.3|g"); \
	done; \
# Rename orte-bootproxy.sh to orte-bootproxy
	if test -f debian/tmp/usr/bin/orte-bootproxy.sh; then \
		mv debian/tmp/usr/bin/orte-bootproxy.sh debian/tmp/usr/bin/orte-bootproxy; \
	fi
# Remove dangling symlink(s)
	rm -f debian/tmp/usr/share/man/man1/mpiCC.1
	rm -f debian/tmp/usr/share/man/man1/orteCC.1
# Remove COPYRIGHT file of ptmalloc2. It's reproduced in debian/copyright.
	rm -f -r debian/tmp/usr/share/openmpi/doc/
# Remove buggy ${pkgincludedir} refs from pkg-config files. #837062
	find . -name '*.pc' | while read f ; do \
		cat $${f} | sed -e 's%-I$${pkgincludedir}[a-zA-Z0-9/]* %%g' > x ; \
		 mv x $${f}; done
# Continue as usual
	dh_install
# oshmem, shmem only built on Linux so do by hand or it may fail ...
	mkdir -p debian/libopenmpi2/${LIBDIR}/openmpi/lib 
	if test -f debian/tmp/usr/bin/oshmem_info ; then \
		mkdir -p debian/openmpi-bin/usr/share/man/man1 ; \
		cp -a debian/tmp/usr/bin/oshrun  debian/openmpi-bin//usr/bin/ ; \
		cp -a debian/tmp/usr/bin/oshmem_info  debian/openmpi-bin//usr/bin/ ; \
		cp -a debian/tmp/usr/bin/oshcc	 debian/libopenmpi-dev/usr/bin   ; \
		cp -a debian/tmp/usr/bin/oshfort   debian/libopenmpi-dev/usr/bin   ; \
		cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.20.0.2 debian/libopenmpi2/${LIBDIR}/openmpi/lib ; \
		cp -a debian/tmp/usr/share/man/man1/oshcc.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
		cp -a debian/tmp/usr/share/man/man1/oshfort.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
		cp -a debian/tmp/usr/share/man/man1/oshrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
		cp -a debian/tmp/usr/share/man/man1/oshmem_info.1 debian/openmpi-bin/usr/share/man/man1 ; \
		dh_link -p libopenmpi-dev	${LIBDIR}/liboshmem.so.20  ${LIBDIR}/liboshmem.so ; \
		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/liboshmem.so.20.0.2  ${LIBDIR}/liboshmem.so.20 ; \
	fi
	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ; then \
		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 \
			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ; \
		dh_link -p libopenmpi2 ${LIBDIR}/libmpi_java.so.20.0.1  ${LIBDIR}/libmpi_java.so.20 ; \
		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ${LIBDIR}/libmpi_java.so.20.0.1 ; \
		dh_link -p libopenpi-dev ${LIBDIR}/libmpi_java.so.20	${LIBDIR}/libmpi_java.so ; \
	fi
	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ; then  \
		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 \
			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ; \
		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_ompio.so.20.0.0  ${LIBDIR}/libmca_common_ompio.so.20 ; \
		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ${LIBDIR}/libmca_common_ompio.so.20.0.0 ; \
		dh_link -p libopenpi-dev ${LIBDIR}/libmca_common_ompio.so.20	${LIBDIR}/libmca_common_ompio.so ; \
	fi
	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ; then \
		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 \
			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ; \
		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_verbs.so.20.0.0  ${LIBDIR}/libmca_common_verbs.so.20 ; \
		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ${LIBDIR}/libmca_common_verbs.so.20.0.0 ; \
		dh_link -p libopenpi-dev ${LIBDIR}/libmca_common_verbs.so.20	${LIBDIR}/libmca_common_verbs.so ; \
	fi
	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ; then \
		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 \
			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ; \
		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_libfabric.so.20.0.0  ${LIBDIR}/libmca_common_libfabric.so.20 ; \
		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ${LIBDIR}/libmca_common_libfabric.so.20.0.0 ; \
		dh_link -p libopenmpi-dev   ${LIBDIR}/libmca_common_libfabric.so.20.0.0  ${LIBDIR}/libmca_common_libfabric.so ; \
	fi
	if test -f debian/tmp/usr/bin/shmemrun ; then \
		cp -a debian/tmp/usr/bin/shmemrun debian/openmpi-bin/usr/bin/shmemrun ;\
		cp -a debian/tmp/usr/share/man/man1/shmemrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
		cp -a debian/tmp/usr/bin/shmemcc debian/libopenmpi-dev/usr/bin/shmemcc ; \
		cp -a debian/tmp/usr/bin/shmemfort debian/libopenmpi-dev/usr/bin/shmemfort ; \

## openmpi 2.1.1

=== examples/Makefile ===
#
# Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana
#                         University Research and Technology
#                         Corporation.  All rights reserved.
# Copyright (c) 2004-2005 The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# Copyright (c) 2004-2005 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2004-2005 The Regents of the University of California.
#                         All rights reserved.
# Copyright (c) 2006-2007 Sun Microsystems, Inc.  All rights reserved.
# Copyright (c) 2011-2016 Cisco Systems, Inc.  All rights reserved.
# Copyright (c) 2012      Los Alamos National Security, Inc.  All rights reserved.
# Copyright (c) 2013      Mellanox Technologies, Inc.  All rights reserved.
# $COPYRIGHT$
#
# Additional copyrights may follow
#
# $HEADER$
#

# Use the Open MPI-provided wrapper compilers.  Note that gmake
# requires the CXX macro, while other versions of make (such as Sun's
# make) require the CCC macro.

CC = mpicc
CXX = mpic++
CCC = mpic++
FC = mpifort
JAVAC = mpijavac
SHMEMCC = shmemcc
SHMEMFC = shmemfort

# Using -g is not necessary, but it is helpful for example programs,
# especially if users want to examine them with debuggers.  Note that
# gmake requires the CXXFLAGS macro, while other versions of make
# (such as Sun's make) require the CCFLAGS macro.

CFLAGS = -g
CXXFLAGS = -g
CCFLAGS = -g
FCFLAGS = -g

# Example programs to build

EXAMPLES = \
	 hello_c \
	 hello_cxx \
	 hello_mpifh \
	 hello_usempi \
	 hello_usempif08 \
	 hello_oshmem \
	 hello_oshmemfh \
	 Hello.class \
	 ring_c \
	 ring_cxx \
	 ring_mpifh \
	 ring_usempi \
	 ring_usempif08 \
	 ring_oshmem \
	 ring_oshmemfh \
	 Ring.class \
	 connectivity_c \
	 oshmem_shmalloc \
	 oshmem_circular_shift \
	 oshmem_max_reduction \
	 oshmem_strided_puts \
	 oshmem_symmetric_data


# Default target.  Always build the C MPI examples.  Only build the
# others if we have the appropriate Open MPI / OpenSHMEM language
# bindings.

all: hello_c ring_c connectivity_c
	@ if which ompi_info >/dev/null 2>&1 ; then \
	    $(MAKE) mpi; \
	fi
	@ if which oshmem_info >/dev/null 2>&1 ; then \
	    $(MAKE) oshmem; \
	fi

# MPI examples

mpi:
	@ if ompi_info --parsable | grep -q bindings:cxx:yes >/dev/null; then \
	    $(MAKE) hello_cxx ring_cxx; \
	fi
	@ if ompi_info --parsable | grep -q bindings:mpif.h:yes >/dev/null; then \
	    $(MAKE) hello_mpifh ring_mpifh; \
	fi
	@ if ompi_info --parsable | egrep -q bindings:use_mpi:\"\?yes >/dev/null; then \
	    $(MAKE) hello_usempi ring_usempi; \
	fi
	@ if ompi_info --parsable | grep -q bindings:use_mpi_f08:yes >/dev/null; then \
	    $(MAKE) hello_usempif08 ring_usempif08; \
	fi
	@ if ompi_info --parsable | grep -q bindings:java:yes >/dev/null; then \
	    $(MAKE) Hello.class Ring.class; \
	fi

# OpenSHMEM examples

oshmem:
	@ if oshmem_info --parsable | grep oshmem:bindings:c:yes >/dev/null; then \
	    $(MAKE) hello_oshmem; \
	    $(MAKE) ring_oshmem; \
	    $(MAKE) oshmem_shmalloc; \
	    $(MAKE) oshmem_circular_shift; \
	    $(MAKE) oshmem_max_reduction; \
	    $(MAKE) oshmem_strided_puts; \
	    $(MAKE) oshmem_symmetric_data; \
	fi
	@ if oshmem_info --parsable | grep oshmem:bindings:fort:yes >/dev/null; then \
	    $(MAKE) hello_oshmemfh; \
	    $(MAKE) ring_oshmemfh; \
	fi

# The usual "clean" target

clean:
	rm -f $(EXAMPLES) *~ *.o

# Don't rely on default rules for the Fortran and Java examples

hello_mpifh: hello_mpifh.f
	$(FC) $(FCFLAGS) $? -o $@
ring_mpifh: ring_mpifh.f
	$(FC) $(FCFLAGS) $? -o $@

hello_usempi: hello_usempi.f90
	$(FC) $(FCFLAGS) $? -o $@
ring_usempi: ring_usempi.f90
	$(FC) $(FCFLAGS) $? -o $@

hello_usempif08: hello_usempif08.f90
	$(FC) $(FCFLAGS) $? -o $@
ring_usempif08: ring_usempif08.f90
	$(FC) $(FCFLAGS) $? -o $@

Hello.class: Hello.java
	$(JAVAC) Hello.java
Ring.class: Ring.java
	$(JAVAC) Ring.java

hello_oshmem: hello_oshmem_c.c
	$(SHMEMCC) $(CFLAGS) $? -o $@
hello_oshmemfh: hello_oshmemfh.f90
	$(SHMEMFC) $(FCFLAGS) $? -o $@

ring_oshmem: ring_oshmem_c.c
	$(SHMEMCC) $(CFLAGS) $? -o $@
ring_oshmemfh: ring_oshmemfh.f90
	$(SHMEMFC) $(FCFLAGS) $? -o $@

oshmem_shmalloc: oshmem_shmalloc.c
	$(SHMEMCC) $(CCFLAGS) $? -o $@

oshmem_circular_shift: oshmem_circular_shift.c
	$(SHMEMCC) $(CFLAGS) $? -o $@

oshmem_max_reduction: oshmem_max_reduction.c
	$(SHMEMCC) $(CFLAGS) $? -o $@

oshmem_strided_puts: oshmem_strided_puts.c
	$(SHMEMCC) $(CFLAGS) $? -o $@

oshmem_symmetric_data: oshmem_symmetric_data.c
	$(SHMEMCC) $(CFLAGS) $? -o $@

=== orte/test/system/Makefile ===
PROGS = no_op sigusr_trap spin orte_nodename orte_spawn orte_loop_spawn orte_loop_child orte_abort get_limits orte_tool orte_no_op binom oob_stress iof_stress iof_delay radix opal_interface orte_spin segfault orte_exit test-time event-threads psm_keygen regex orte_errors evpri-test opal-evpri-test evpri-test2 mapper reducer opal_hotel orte_dfs

all: $(PROGS)

CC = ortecc
CFLAGS = -g
CXX = ortec++
CXXFLAGS = -g
FFLAGS = -g

clean:
	rm -f $(PROGS) *~

oob_stress:
	ortecc -o oob_stress oob_stress.c -lm

=== debian/changelog ===
openmpi (2.1.1-8) unstable; urgency=medium

  * Remove obsolete dependency on libcr-dev. Closes: #877009
  * Disable Java on ia64. Closes: 888286

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2018 09:06:53 +0000

openmpi (2.1.1-7) unstable; urgency=medium

  * Add multistage support to make bootstrappable. Closes: #871243
  * Standards-Version: 4.1.0; no changes required
  * Typos in package names in rules: openpi -> openmpi
  * Move to debhelper level 10; remove dependencies on automake, 
    autoconf, autotools-dev, libtool

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Sep 2017 13:33:11 +0100

openmpi (2.1.1-6) unstable; urgency=medium

  * Use --enable-builtin-atomics on s390x. Delete test patch Closes: #865465

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Jun 2017 22:46:24 +0100

openmpi (2.1.1-5) unstable; urgency=medium

  * Remove Multi-Arch: foreign on -dev. Closes: #865468
  * Standards-Version: 4.0.0; no changes required
  * Update soversions to fix symlinks:
    - libopen-pal 20.10.0 -> 20.10.1
    - libopen-rte 20.10.0 -> 20.10.1
    - libmca_common_sm  20.10.0 -> 20.10.1
    - libmpi_mpifh  20.10.0 -> 20.11.0
    Closes: #865471, #865540
  * Fix typo in test patch for s390x 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Jun 2017 16:18:21 +0100

openmpi (2.1.1-4) unstable; urgency=medium

  * Push to unstable
  * Test fix for s390x FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jun 2017 08:06:45 +0100

openmpi (2.1.1-3) experimental; urgency=medium

  * Test patch #3589 for s390x

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jun 2017 14:15:25 +0100

openmpi (2.1.1-2) experimental; urgency=medium

  * Add updated patch for x32 detection
  * Delete old ignore-cma.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 May 2017 11:22:44 +0100

openmpi (2.1.1-1) experimental; urgency=medium

  * New upstream release
  * Add sparc64 to the no-CMA support list

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 May 2017 12:28:12 +0100

openmpi (2.1.1~rc1-1) experimental; urgency=medium

  * New upstream release
    - Disable CMA on archs where it fails
    - x32 patch now merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 May 2017 16:51:00 +0100

openmpi (2.1.0rc2-2) experimental; urgency=medium

  * Patch for arm64 FTBFS
  * Patch for mipsel, other FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 May 2017 14:56:55 +0100

openmpi (2.1.0rc2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Mar 2017 17:04:18 +0000

openmpi (2.1.0rc1-1) experimental; urgency=medium

  * New upstream release
  * Update soversion minor versions to 20.10.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Mar 2017 09:58:38 +0000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>,
  Manuel Prinz <manuel@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), 
- automake, autoconf (>= 2.59),  libtool, libltdl-dev, autotools-dev,
+Build-Depends: dpkg-dev (>= 1.16.1~), 
+ debhelper (>= 10), 
+ libltdl-dev,
  gfortran, gcc (>= 4:5.2.1), chrpath, 
  libhwloc-dev,
  pkg-config,
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libfabric-dev [amd64 i386],
  libpsm-infinipath1-dev [amd64 i386],
- libcr-dev [amd64 armel armhf i386 powerpc], 
  libnuma-dev [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc ppc64el],
- default-jdk,
+ default-jdk <!stage1>,
  flex
 Build-Conflicts: libmpich-dev, libopenmpi-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.open-mpi.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-openmpi/openmpi/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-openmpi/openmpi/trunk/
@@ -53,7 +53,6 @@
 Package: libopenmpi-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, libopenmpi2 (= ${binary:Version}), openmpi-common (= ${source:Version}), 
  libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libhwloc-dev
 Conflicts: openmpi-dev, libopenmpi-dev, openmpi-bin (<= 1.2.4-0), libopenmpi2 (<= 2.0.0-1)

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,11 @@
 NO_VERBS_ARCH:= hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x
 FABRIC_ARCH:= amd64 i386 
 PSM_ARCH:= amd64 i386
-NO_JAVA_ARCH:= hppa hurd-i386
+BUILTIN_ATOMICS_ARCH:= s390x
+NO_CMA_ARCH:= s390x mipsel hppa alpha armhf armel m68k sparc64
+NO_JAVA_ARCH:= hppa hurd-i386 ia64
 NO_TEST_ARCH:= hppa hurd-i386
+
 
 ifeq (sparc,$(DEB_HOST_GNU_CPU))
 	CFLAGS += -mcpu=v9
@@ -28,6 +31,9 @@
 ifneq (,$(findstring  " $(DEB_HOST_ARCH)",$(NO_VERBS_ARCH)))
 	VERBS := --with-verbs
 endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(BUILTIN_ATOMICS_ARCH)))
+	ENABLE_BUILTIN_ATOMICS:= --enable-builtin-atomics
+endif
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(FABRIC_ARCH)))
 	FABRIC := --with-libfabric
 endif
@@ -35,7 +41,9 @@
 	PSM:= --with-psm
 endif
 ifeq ($(filter $(NO_JAVA_ARCH),$(DEB_HOST_ARCH)),)
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	JAVA := --with-jdk-dir=/usr/lib/jvm/default-java --enable-mpi-java
+endif
 endif
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_TEST_ARCH)))
 	DO_TEST := false
@@ -43,6 +51,9 @@
 else
 	DO_TEST := true
 	BTL_TESTS:= --enable-opal-btl-usnic-unit-tests
+endif
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_CMA_ARCH)))
+	CMA:= --without-cma
 endif
 
 # Flags for the static build: see bug #502232
@@ -67,7 +78,8 @@
                 sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
 	dh_auto_configure -- \
-		$(VERBS) $(FABRIC) $(PSM) \
+		$(VERBS) $(FABRIC) $(PSM) $(CMA) \
+		$(ENABLE_BUILTIN_ATOMICS) \
 		$(JAVA) \
 		$(STATIC_CONFIG_PARAMS) \
 		$(BTL_TESTS) \
@@ -132,44 +144,39 @@
 		cp -a debian/tmp/usr/bin/oshmem_info  debian/openmpi-bin//usr/bin/ ; \
 		cp -a debian/tmp/usr/bin/oshcc	 debian/libopenmpi-dev/usr/bin   ; \
 		cp -a debian/tmp/usr/bin/oshfort   debian/libopenmpi-dev/usr/bin   ; \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.20.0.2 debian/libopenmpi2/${LIBDIR}/openmpi/lib ; \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/liboshmem.so.20.10.1 debian/libopenmpi2/${LIBDIR}/openmpi/lib ; \
 		cp -a debian/tmp/usr/share/man/man1/oshcc.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshfort.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshmem_info.1 debian/openmpi-bin/usr/share/man/man1 ; \
 		dh_link -p libopenmpi-dev	${LIBDIR}/liboshmem.so.20  ${LIBDIR}/liboshmem.so ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/liboshmem.so.20.0.2  ${LIBDIR}/liboshmem.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/liboshmem.so.20.10.1  ${LIBDIR}/liboshmem.so.20 ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/libmpi_java.so.20.0.1  ${LIBDIR}/libmpi_java.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmpi_java.so.20.0.1 ${LIBDIR}/libmpi_java.so.20.0.1 ; \
-		dh_link -p libopenpi-dev ${LIBDIR}/libmpi_java.so.20	${LIBDIR}/libmpi_java.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/libmpi_java.so.20.10.0  ${LIBDIR}/libmpi_java.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmpi_java.so.20.10.0 ${LIBDIR}/libmpi_java.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev ${LIBDIR}/libmpi_java.so.20	${LIBDIR}/libmpi_java.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ; then  \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ; \
-		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_ompio.so.20.0.0  ${LIBDIR}/libmca_common_ompio.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.0.0 ${LIBDIR}/libmca_common_ompio.so.20.0.0 ; \
-		dh_link -p libopenpi-dev ${LIBDIR}/libmca_common_ompio.so.20	${LIBDIR}/libmca_common_ompio.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 ; then  \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 ; \
+		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_ompio.so.20.10.0  ${LIBDIR}/libmca_common_ompio.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_ompio.so.20.10.0 ${LIBDIR}/libmca_common_ompio.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev ${LIBDIR}/libmca_common_ompio.so.20	${LIBDIR}/libmca_common_ompio.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ; \
-		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_verbs.so.20.0.0  ${LIBDIR}/libmca_common_verbs.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.0.0 ${LIBDIR}/libmca_common_verbs.so.20.0.0 ; \
-		dh_link -p libopenpi-dev ${LIBDIR}/libmca_common_verbs.so.20	${LIBDIR}/libmca_common_verbs.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 ; \
+		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_verbs.so.20.10.0  ${LIBDIR}/libmca_common_verbs.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_verbs.so.20.10.0 ${LIBDIR}/libmca_common_verbs.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev ${LIBDIR}/libmca_common_verbs.so.20	${LIBDIR}/libmca_common_verbs.so ; \
 	fi
-	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ; then \
-		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 \
-			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ; \
-		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_libfabric.so.20.0.0  ${LIBDIR}/libmca_common_libfabric.so.20 ; \
-		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.0.0 ${LIBDIR}/libmca_common_libfabric.so.20.0.0 ; \
-		dh_link -p libopenmpi-dev   ${LIBDIR}/libmca_common_libfabric.so.20.0.0  ${LIBDIR}/libmca_common_libfabric.so ; \
+	if test -f debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 ; then \
+		cp -a debian/tmp/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 \
+			debian/libopenmpi2/${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 ; \
+		dh_link -p libopenmpi2   ${LIBDIR}/libmca_common_libfabric.so.20.10.0  ${LIBDIR}/libmca_common_libfabric.so.20 ; \
+		dh_link -p libopenmpi2 ${LIBDIR}/openmpi/lib/libmca_common_libfabric.so.20.10.0 ${LIBDIR}/libmca_common_libfabric.so.20.10.0 ; \
+		dh_link -p libopenmpi-dev   ${LIBDIR}/libmca_common_libfabric.so.20.10.0  ${LIBDIR}/libmca_common_libfabric.so ; \
 	fi
-	if test -f debian/tmp/usr/bin/shmemrun ; then \
-		cp -a debian/tmp/usr/bin/shmemrun debian/openmpi-bin/usr/bin/shmemrun ;\
-		cp -a debian/tmp/usr/share/man/man1/shmemrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
-		cp -a debian/tmp/usr/bin/shmemcc debian/libopenmpi-dev/usr/bin/shmemcc ; \
-		cp -a debian/tmp/usr/bin/shmemfort debian/libopenmpi-dev/usr/bin/shmemfort ; \
